%define upstream_name    Catalyst-Plugin-SubRequest
%define upstream_version 0.21

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Make subrequests to actions in Catalyst
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst::Runtime) >= 5.900.0
BuildRequires: perl(Devel::GlobalDestruction)
BuildRequires: perl(Eval::Closure)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Package::DeprecationManager)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%{?perl_default_filter}

%description
Make subrequests to actions in Catalyst. Uses the catalyst dispatcher, so
it will work like an external url call.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.210.0-6.mga8
+ Revision: 1503541
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.210.0-5.mga7
+ Revision: 1282235
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.210.0-4.mga7
+ Revision: 1167779
- BR perl(inc::Module::Install)

* Sat Jun 18 2016 pterjan <pterjan> 0.210.0-3.mga6
+ Revision: 1023394
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.210.0-2.mga6
+ Revision: 967517
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 0.210.0-1.mga6
+ Revision: 849160
- update to 0.21

* Wed Oct 15 2014 umeabot <umeabot> 0.200.0-6.mga5
+ Revision: 742343
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.200.0-5.mga5
+ Revision: 732885
- add exclude
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 sander85 <sander85> 0.200.0-3.mga5
+ Revision: 664885
- Fix build (patch from Debian)

* Fri Oct 18 2013 umeabot <umeabot> 0.200.0-3.mga4
+ Revision: 509814
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.200.0-2.mga3
+ Revision: 364084
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 jquelin <jquelin> 0.200.0-1.mga3
+ Revision: 291602
- update to 0.20

* Wed Jul 04 2012 jquelin <jquelin> 0.180.0-1.mga3
+ Revision: 267277
- update to 0.18

* Thu Mar 24 2011 jquelin <jquelin> 0.170.0-1.mga1
+ Revision: 76690
- update to 0.17

* Wed Jan 26 2011 jquelin <jquelin> 0.160.0-1.mga1
+ Revision: 40310
- mageia rebuild
- imported package perl-Catalyst-Plugin-SubRequest


* Fri Jan 29 2010 Jérôme Quelin <jquelin@mandriva.org> 0.160.0-1mdv2010.1
+ Revision: 497907
- update to 0.16

* Tue Nov 24 2009 Jérôme Quelin <jquelin@mandriva.org> 0.150.0-1mdv2010.1
+ Revision: 469434
- update to 0.15

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.140.0-1mdv2010.1
+ Revision: 461262
- update to 0.14

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.130.0-1mdv2010.0
+ Revision: 402989
- rebuild using %%perl_convert_version

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.13-3mdv2009.0
+ Revision: 255576
- rebuild

* Tue Mar 11 2008 Olivier Thauvin <nanardon@mandriva.org> 0.13-1mdv2008.1
+ Revision: 186751
- import perl-Catalyst-Plugin-SubRequest


